import request from "@/utils/request";

const BASE_URL = "/common/reminder-category";

// 提醒分类列表————两端通用
export function getReminderListApi (query) {
  return request({
    url: `${BASE_URL}/list`,
    method: 'get',
    params: query
  })
}

// 保存提醒分类
export function saveReminderApi (params) {
  return request({
    url: `${BASE_URL}/save`,
    method: 'post',
    data: params
  })
}

// 修改提醒分类
export function modifyReminderApi (params) {
  return request({
    url: `${BASE_URL}/update`,
    method: 'post',
    data: params
  })
}

// 删除提醒分类
export function deleteReminderApi(params) {
  return request({
    url: `${BASE_URL}/remove`,
    method: 'post',
    data: params
  })
}
